v1.0.0
OpenAPI 3.1.0

Find your account region

US region

Client Libraries

Find your account region

​

This endpoint returns the appropriate region and URL for your Track API credentials. Use it to determine the URLs you should use to successfully complete other requests.

You can perform this operation against either of the track API regional URLs; it returns your region in either case.

This endpoint also returns an environment_id, which represents the workspace the credentials are valid for.

Responses
  • application/json
  • 401

    Unauthorized request. Make sure that you provided the right credentials.

  • 403

    A public key (pk_) can't call this endpoint. Use a private key (sk_) or your legacy Site ID and Track API key.

Request Example for get/api/v1/accounts/region
curl https://track.customer.io/api/v1/accounts/region \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "environment_id": 3,
  "region": "us",
  "url": "https://track.customer.io"
}